OpenCV: cv::cuda::Convolution Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::cuda::Convolution Class Referenceabstract
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Operations on Matrices » Arithm Operations on Matrices

Base class for convolution (or cross-correlation) operator. : More...

`#include "cudaarithm.hpp"`

Inheritance diagram for cv::cuda::Convolution:

## Public Member Functions
virtual void | convolve (InputArray image, InputArray templ, OutputArray result, bool ccorr=false, Stream &stream=Stream::Null())=0
| Computes a convolution (or cross-correlation) of two images. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Base class for convolution (or cross-correlation) operator. :

## Member Function Documentation

## ◆ convolve()

virtual void cv::cuda::Convolution::convolve | ( | InputArray | image,
|  | InputArray | templ,
|  | OutputArray | result,
|  | bool | ccorr = `false`,
|  | Stream & | stream = `Stream::Null()`
| ) |  |
| pure virtual

Computes a convolution (or cross-correlation) of two images.

Parameters

  image | Source image. Only CV_32FC1 images are supported for now.
  templ | Template image. The size is not greater than the image size. The type is the same as image .
  result | Result image. If image is W x H and templ is w x h, then result must be W-w+1 x H-h+1.
  ccorr | Flags to evaluate cross-correlation instead of convolution.
  stream | Stream for the asynchronous version.

The documentation for this class was generated from the following file:

- cudaarithm/include/opencv2/cudaarithm.hpp